Subject: Re: [Fwd: -qa / -qi problem]
From: Doru Carastan <[email-masked]>
To: Cygwin <[email-masked]>
Date: Thu, 02 Aug 2001 12:53:37 -0700

Jason Tishler wrote:
> 
> Doru,
> 
> In the future, please post to [email-masked] instead of sending
> private email so others can benefit too.

I apologize for that. I considered it to be a better candidate for
[email-masked]. Their answer is posted here:
http://groups.yahoo.com/group/rpm-list/message/14656
 
> On Wed, Aug 01, 2001 at 04:02:03PM -0700, Doru Carastan wrote:
> > I just sent this message to the RPM list. Is your RPM port working fine?
> > Mine has some problems. It is happening on both Linux and Cygwin
> > platforms for versions > 4.0-4.
> 
> Sorry, but I have only used my Cygwin rpm port in a very casual way.
> Actually, I have only "viewed" RPMs with it -- I never installed any
> packages with it.
> 
> Anyway, the following is the output for the same command sequence in your
> email to the RPM list:
> 
>     $ rpm --version
>     RPM version 4.0.2
>     $ rpm -qa
>     $ rpm -qa
>     $ rpm -q less
>     error: cannot open Name index using db3 - No such file or directory (2)
>     package less is not installed
>     $ rpm -q -i less
>     error: cannot open Name index using db3 - No such file or directory (2)
>     package less is not installed
>     $ rpm -q --info less
>     error: cannot open Name index using db3 - No such file or directory (2)
>     package less is not installed
> 
> Hence, my port seems to handle -qa and -qi or not having anything
> installed is masking problems.

I'm not so sure about that. You need to make sure you have created the
directory for _dbpath as it is listed by rpm --showrc. Then run rpm
--initdb to create an empty database. While being here it is a good idea
to check if _tmppath exists, otherwise any build command will fail too.
Could you please try this and run the command sequence again?

Thanks,
Doru C.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/